Bug 109641 - Boot hangs during PCI scan on x86_64 dev release
Boot hangs during PCI scan on x86_64 dev release
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 10:49 EST by Ken Walker
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Walker 2003-11-10 10:49:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
While booting the boot.iso image on an AMD 64 proc MB the kernel locks
during the pci scan routine. It appears do lock while check the IDE
interfaces. Unfortuantely most of the information scrolls off the
screen and there's no way to scroll back to get it.


Version-Release number of selected component (if applicable):
current development release

How reproducible:
Always

Steps to Reproduce:
1. burn boot.iso for the x86_64 dev release onto cd
2. boot cd
3.
    

Actual Results:  kernel panics and locks

Expected Results:  kernel boots and install begins.

Additional info:

Mother board is an MSI K8T Neo board (K8T800 chipset board) using an
AMD 64 3200 chip.
Comment 1 Jim Paradis 2003-12-09 11:58:01 EST
Try booting with the "noapic" kernel parameter.  Does this get any
further?
Comment 2 Ken Walker 2003-12-09 12:26:10 EST
I tried the boot.iso dated 12/8/2003 with "linux noapic" and the
results are the same. Kernel panic during hw_probe on the ide portion.

Is there anything else I can try to gather for you?
Comment 3 Jim Paradis 2003-12-09 12:35:37 EST
We need to know the nature of the crash before we can do anything. 
The best thing would be if you could get a serial capture of your boot
console session.  To do this, hook up a serial cable to another system
running a serial communications program set up for capture, then boot
your x86_64 system with the parameter "console=ttyS0,38400
console=tty0" (assuming your baudrate is 38400).  Attach the resulting
capture to this bug report.
Comment 4 Ken Walker 2003-12-09 14:46:21 EST
Here's the output:

CPU: L2 Cache: 1024K (64 bytes/line/8 way)
Machine Check Reporting enabled for CPU#0
POSIX conformance testing by UNIFIX
testing NMI watchdog ... OK.
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
..TIMER: vector=0x31 pin1=2 pin2=0
testing the IO APIC.......................

 WARNING: unexpected IO-APIC, please mail
          to linux-smp@vger.kernel.org
.................................... done.
Using local APIC timer interrupts.
Detected 12.500 MHz APIC timer.
cpu: 0, clocks: 2000116, slice: 1000058
CPU0<T0:2000112,T1:1000048,D:6,S:1000058,C:2000116>
mtrr: v2.02 (20020716))
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router default [1106/3227] at 00:11.0
PCI->APIC IRQ transform: (B0,I11,P0) -> 16
PCI->APIC IRQ transform: (B0,I14,P0) -> 19
PCI->APIC IRQ transform: (B0,I16,P0) -> 21
PCI->APIC IRQ transform: (B0,I16,P0) -> 21
PCI->APIC IRQ transform: (B0,I16,P1) -> 21
PCI->APIC IRQ transform: (B0,I16,P1) -> 21
PCI->APIC IRQ transform: (B0,I16,P2) -> 21
PCI->APIC IRQ transform: (B0,I17,P2) -> 22
PCI->APIC IRQ transform: (B1,I0,P0) -> 16
PCI: Via IRQ fixup for 00:10.0, from 11 to 5
PCI: Via IRQ fixup for 00:10.1, from 11 to 5
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
Journalled Block Device driver loaded
IA32 emulation $Id: sys_ia32.c,v 1.49 2003/01/14 14:29:59 ak Exp $
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SER
IAL_PCI enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 9216K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
VP_IDE: IDE controller at PCI slot 00:0f.0
PCI: No IRQ known for interrupt pin A of device 00:0f.0. Probably
buggy MP table
.
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: Unknown VIA SouthBridge, disabling DMA.
Unable to handle kernel paging request at virtual address 0000003f80433698
 printing rip:
ffffffff801112d1
PML4 0
Oops: 0000
CPU 0
Pid: 1, comm: swapper Not tainted
RIP: 0010:[<ffffffff801112d1>]{disable_irq+17}
RSP: 0000:000001003ffefe88  EFLAGS: 00010012
RAX: 0000000000000000 RBX: 0000003ffffffb40 RCX: 000000000000001c
RDX: 000000000000001b RSI: 0000010037ffd000 RDI: 00000000ffffffed
RBP: ffffffff8041bf20 R08: 0000010037ffd100 R09: 0000010037ffd9c0
R10: 00000000000008c0 R11: 0000000000000050 R12: 0000000000000000
R13: 00000000ffffffed R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff80437a40(0000)
knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000003f80433698 CR3: 0000000000101000 CR4: 00000000000006e0

Call Trace: [<ffffffff801d5abe>]{probe_hwif+222}
[<ffffffff801d68de>]{ideprobe_i
nit+126}
       [<ffffffff8010b049>]{init+9} [<ffffffff8010f400>]{child_rip+8}
       [<ffffffff8010b040>]{init+0} [<ffffffff8010f3f8>]{child_rip+0}

Process swapper (pid: 1, stackpage=1003ffef000)
Stack: 000001003ffefe88 0000000000000000 0000000000000212 0000000000000000
       0000000000000212 0000000000000000 ffffffff801d5abe 0000000000000212
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       ffffffff801d68de 0000000100000001 0000000100000001 0000000100000001
       0000000100000001 0000000100000001 0000000000000000 0000000000000000
       ffffffff80454aee ffffffff80460780 ffffffff80454b4b ffffffff80460780
       ffffffff804416da 0000000000000000 ffffffff8010b049 ffffffff8043ffc0
       ffffffff8010f400 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 000000000000000a
       00000000ffffffff 0000000000000006 0000000000000000 0000000000000000
Call Trace: [<ffffffff801d5abe>]{probe_hwif+222}
[<ffffffff801d68de>]{ideprobe_i
nit+126}
       [<ffffffff8010b049>]{init+9} [<ffffffff8010f400>]{child_rip+8}
       [<ffffffff8010b040>]{init+0} [<ffffffff8010f3f8>]{child_rip+0}


Code: 8b 83 58 3b 43 80 ff c0 89 83 58 3b 43 80 ff c8 75 11 48 8b
 <0>Kernel panic: Attempted to kill init!
Comment 5 Justin M. Forbes 2004-02-04 15:08:06 EST
This appears to be with the old gin-gin kernel, is this still an issue
with the FC1 test1 kernel, or should this bug be closed? (VIA IO_APIC
work arounds should have resolved this)
Comment 6 David Lawrence 2004-09-29 15:39:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.